Get agent
curl --request GET \
--url https://api.duvo.ai/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>'{
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slack_enabled": true,
"microsoft_teams_enabled": true,
"agentic_memory_enabled": true,
"team_id": "<string>",
"thread_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_run_at": "<string>",
"latest_build": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"data": {
"model": "<string>",
"tools": "<unknown>",
"input": "<string>",
"files": [],
"skills": [],
"temperature": 1,
"max_output_tokens": 1,
"top_p": 0.5,
"store": true,
"text": {
"format": {}
}
}
},
"status": "<string>",
"revision_number": 123,
"parent_build_id": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"revision_name": "<string>",
"revision_description": "<string>",
"created_by_name": "<string>",
"schedules": [
{
"id": "<string>",
"build_id": "<string>",
"agent_id": "<string>",
"user_id": "<string>",
"enabled": true,
"time": "<string>",
"timezone": "<string>",
"day": "<string>",
"day_of_month": 123,
"cron": "<string>",
"source": "<string>",
"task": "<string>",
"recurring": true,
"created_at": "<string>",
"updated_at": "<string>",
"user_name": "<string>",
"user_email": "<string>"
}
]
},
"integration_configs": [
{
"id": "<string>",
"integration_id": "<string>",
"integration_type": "<string>",
"integration_name": "<string>",
"created_at": "<string>",
"icon_url": "<string>",
"is_connected": true
}
],
"folder_id": "<string>",
"pinned_at": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"updated_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"user_triggers": {
"slack_mention": true,
"slack_channel": true,
"teams_mention": true
},
"case_trigger_enabled": true,
"case_trigger_has_conflict": true,
"case_trigger_conflicting_agents": [
{
"id": "<string>",
"name": "<string>"
}
],
"case_queue_name": "<string>"
}
}Agents
Get agent
Get an agent by ID.
GET
/
agents
/
{agent_id}
Get agent
curl --request GET \
--url https://api.duvo.ai/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>'{
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slack_enabled": true,
"microsoft_teams_enabled": true,
"agentic_memory_enabled": true,
"team_id": "<string>",
"thread_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_run_at": "<string>",
"latest_build": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"copilot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"data": {
"model": "<string>",
"tools": "<unknown>",
"input": "<string>",
"files": [],
"skills": [],
"temperature": 1,
"max_output_tokens": 1,
"top_p": 0.5,
"store": true,
"text": {
"format": {}
}
}
},
"status": "<string>",
"revision_number": 123,
"parent_build_id": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"revision_name": "<string>",
"revision_description": "<string>",
"created_by_name": "<string>",
"schedules": [
{
"id": "<string>",
"build_id": "<string>",
"agent_id": "<string>",
"user_id": "<string>",
"enabled": true,
"time": "<string>",
"timezone": "<string>",
"day": "<string>",
"day_of_month": 123,
"cron": "<string>",
"source": "<string>",
"task": "<string>",
"recurring": true,
"created_at": "<string>",
"updated_at": "<string>",
"user_name": "<string>",
"user_email": "<string>"
}
]
},
"integration_configs": [
{
"id": "<string>",
"integration_id": "<string>",
"integration_type": "<string>",
"integration_name": "<string>",
"created_at": "<string>",
"icon_url": "<string>",
"is_connected": true
}
],
"folder_id": "<string>",
"pinned_at": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"updated_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"user_triggers": {
"slack_mention": true,
"slack_channel": true,
"teams_mention": true
},
"case_trigger_enabled": true,
"case_trigger_has_conflict": true,
"case_trigger_conflicting_agents": [
{
"id": "<string>",
"name": "<string>"
}
],
"case_queue_name": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The agent's unique identifier
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Response
Default Response
Show child attributes
Show child attributes
⌘I